Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 24 Mar 2023 14:21:08 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have not received my order till now . I raised my complaint via phone and email few times before but not yet returned money or delivered dress .today I noticed that it is updated as delivered. March 9th I travelled to India and today only back to Kuwait. How can you update without delivering the order that you delivered. So please have a query on my complaint and return money . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5919406